/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

@font-face {
    font-family: 'Merge One Regular';
    font-style: normal;
    font-weight: normal;
    src: local('Merge One Regular'), url('fonts/MergeOne-Regular.woff') format('woff');
}

h1, h2, h3, h4, h5, .primary_menu li a, .menu_footer li a{
    font-family:'Merge One Regular' !important;
    font-weight:normal !important;
}

.primary_menu li a {
    text-shadow: 0px 0px 5px rgba(27,255,250,1);
	border-radius: 5px;
}

.button_purple {
    display: none !important;
}

.menu_footer li {
    list-style: none;
    text-transform: uppercase;
}
.menu_footer li a {
    color: #fff;
    font-size: 16px;
    letter-spacing: 0px;
}

.social_footer a {
    background-color: #fff;
    text-align: center;
    width: 23px;
    height: 31px;
    padding-left: 9px;
    border-radius: 50%;
}

/*FORMS*/

    .cf7-row {
    display: flex;
    margin-bottom: 20px;
}

.cf7-column-half {
    flex: 0 0 50%;
    padding-right: 10px;

}

.cf7-column-half.second{
    padding-right: 0px;
}
.cf7-column-full {
    flex: 1;
}

.cf7-column-option {
    text-align: center;
    flex: 0 0 33.333%; /* Para 3 columnas */
	padding: 0 5px;
}
.wpcf7-radio {
    opacity: 0;
}
.cf7-submit-button {
    text-align: center;
    flex-basis: 100%;
}

.cf7-option-image {
    cursor: pointer;
    max-width: 100%;
    height: auto;
}

.wpcf7-form input[type="submit"] {
    font-family: "Manrope", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: -0.1px;
    background-color: #873EBF;
    border-radius: 5px;
    box-shadow: 0px 0px 15px 5px #873EBF;
    padding: 15px 45px;
    border: none; /* Remueve cualquier borde por defecto */
    color: #fff; /* Color del texto, ajustar si es necesario */
    cursor: pointer; /* Cambia el cursor a un puntero para indicar que es clickeable */
}
 
.wpcf7-form input[type="submit"]:hover {
    background-color: #7a34c1; /* Color al pasar el mouse, ajustar si es necesario */
}

.wpcf7-form input[type="text"],
.wpcf7-form input[type="email"],
.wpcf7-form input[type="tel"],
.wpcf7-form input[type="date"],
.wpcf7-form textarea {
    background-color: #626262; /* Fondo gris oscuro */
    border: 1px solid #ffffff; /* Borde blanco */
    color: #ffffff; /* Texto blanco */
    padding: 8px; /* Espaciado interno */
}

/* Estilo para los placeholders */
.wpcf7-form ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #ffffff;
    opacity: 1; /* Firefox */
}

.wpcf7-form :-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #ffffff;
}

.wpcf7-form ::-ms-input-placeholder { /* Microsoft Edge */
    color: #ffffff;
}

.wpcf7-form input[type="date"]::-webkit-inner-spin-button,
.wpcf7-form input[type="date"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
    margin: 0;
}

.wpcf7-form input[type="date"] {
    position: relative;
}

.wpcf7-form input[type="date"]::after {
    content: '\f073'; /* Ícono de calendario de FontAwesome */
    font-family: 'FontAwesome';
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    color: white; /* Ajusta el color según sea necesario */
} 

.wpcf7-form textarea.cf7-your-message {
    max-height: 135px;
    overflow-y: auto; /* Permite desplazamiento si el texto excede el área visible */
}

.shadow_text a span span, .primary_menu li a:hover {
    text-shadow: 1px 1px 5px rgba(135,62,191,0.9);
}

@media (max-width: 600px) {
    .cf7-row {
        flex-direction: column;
    }

    .cf7-column-half, .cf7-column-option {
        flex: 0 0 100%;
        padding-right: 0;
        margin-bottom: 15px; /* Agrega un poco de margen entre campos, ajusta según sea necesario */
    }

    .cf7-column-half:last-child, .cf7-column-option:last-child {
        margin-bottom: 0; /* Elimina el margen para el último elemento */
    }
}


/*MINI CART*/
.elementor-menu-cart__main {
    background-color: #161616;
	border: 1px solid #1BFFFA33;
    border-radius: 10px;
}
.elementor-menu-cart__subtotal span {
    color: #1BFFFA !important;
}
.elementor-menu-cart__main a {
    color: #1efffa;
    font-size: 17px;
    line-height: 20px;
}
.elementor-menu-cart__product-price.product-price {
    position: relative;
    top: 0;
}
.elementor-menu-cart__subtotal {
    font-family: "Manrope", Sans-serif;
    font-size: 20px;
    text-shadow: 0px 0px 6px #1BFFFA;
    color: #1BFFFA;
}
.elementor-menu-cart__footer-buttons {
    display: flex !important;
    flex-direction: column-reverse;
}
a.elementor-button.elementor-button--checkout.elementor-size-md {
    background: #873EBF !important;
    color: #fff !important;
    border-radius: 8px !important;
    padding: 15px 15px !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
    transition: 0.2s !important;
    outline: none !important;
    box-shadow: 0px 0px 25px 0px rgba(135, 62, 191, 1) !important;
    -webkit-box-shadow: 0px 0px 25px 0px rgba(135, 62, 191, 1) !important;
    -moz-box-shadow: 0px 0px 25px 0px rgba(135,62,191,1) !important;
    width: 100%;
}

a.elementor-button.elementor-button--view-cart.elementor-size-md {
    background: transparent !important;
    padding: 5px;
}
.elementor-menu-cart__product, .elementor-menu-cart__subtotal {
    border-color: #87878724;
}
/*MY ACCOUNT*/
.woocommerce-account {
    background-color: #161616;
    color: #fff;
}
.woocommerce-account main#content {
    padding: 60px 10px;
}
nav.woocommerce-MyAccount-navigation ul {
    list-style: none;
    padding: 0;
}
nav.woocommerce-MyAccount-navigation ul li a {
    color: #fff !important;
    padding: 10px 15px !important;
    display: block;
    border: 1px solid #1bfffa;
    text-decoration: none;
}
.woocommerce-account .woocommerce-MyAccount-content {
    padding: 0 20px;
}
nav.woocommerce-MyAccount-navigation ul li.is-active a {
    background: #1bfffa !important;
    color: #000 !important;
}
.woocommerce-account .woocommerce-MyAccount-content a {
    color: #1bfffa;
}

.woocommerce-account .woocommerce-button, .woocommerce-MyAccount-content a.button {
    background-color: #873ebf !important;
    color: #fff !important;
}
/*VOUCHER*/
.voucher-fields-wrapper {
    width: 100%;
}
.voucher-fields-wrapper {
    display: none;
}